> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all pending transfer approvals

> Retrieve all pending transfer approvals that require admin action



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/transfer-approvals
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/transfer-approvals:
    get:
      tags:
        - Transfer Approvals
      summary: List all pending transfer approvals
      description: Retrieve all pending transfer approvals that require admin action
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: Number of approvals to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          description: Number of approvals to skip
      responses:
        '200':
          description: Transfer approvals retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransferApprovalsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  schemas:
    GetTransferApprovalsResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
          description: Whether the operation was successful
        message:
          type: string
          example: Pending approvals retrieved successfully
          description: Human-readable message about the operation
        count:
          type: integer
          description: Total number of pending approvals
          example: 2
        approvals:
          type: array
          items:
            $ref: '#/components/schemas/TransferApprovalSummary'
          description: Array of pending approval records
    TransferApprovalSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: approval-123-e89b-12d3-a456-426614174002
        transferId:
          type: string
          format: uuid
          example: transfer-456-e89b-12d3-a456-426614174003
        status:
          type: string
          enum:
            - PENDING
            - APPROVED
            - REJECTED
            - EXPIRED
          example: PENDING
          description: Current status of the approval process
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00.000Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T11:00:00.000Z'
          description: When the approval was last updated
        transferType:
          type: string
          enum:
            - WALLET.TRANSFER
            - WALLET.TRANSFER.BATCH
            - WALLET.BRIDGE
          example: WALLET.TRANSFER
          description: Type of transfer requiring approval
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  responses:
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````